Package org.eclipse.e4.ui.workbench

# Interface UIEvents.TrimContribution

Enclosing class:
  UIEvents

public static interface UIEvents.TrimContribution

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARENTID`
`static final String`
`POSITIONINPARENT`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_PARENTID`
`static final String`
`TOPIC_POSITIONINPARENT`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_PARENTID

static final String TOPIC_PARENTID

See Also:
  - Constant Field Values

### TOPIC_POSITIONINPARENT

static final String TOPIC_POSITIONINPARENT

See Also:
  - Constant Field Values

### PARENTID

static final String PARENTID

See Also:
  - Constant Field Values

### POSITIONINPARENT

static final String POSITIONINPARENT

See Also:
  - Constant Field Values